[alsa-devel] Any OSS changes from kernel 2.6.21 to 2.6.23? Something broke.

Clemens Ladisch cladisch at fastmail.net
Fri Nov 2 18:11:05 CET 2007

Timur Tabi wrote:
> I have a customer who says that mplayer (using OSS) does not work when he tries
> a kernel based on 2.6.23-rc4, but it works when he uses a kernel based on
> 2.6.21.  Everything else is the same (including the version of alsa-lib), so I
> presume something broke in the OSS emulation in the kernel.

It could also be a change in the driver.

And it would be nice to know what "does not work" actually means.

> Is it possible to back-level the ALSA support in the kernel itself?

The alsa-kernel tree is only compatible with the current development

The alsa-driver package works with older kernels, but must be compiled

> Can I just download ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.XX.tar.bz2
> and follow the instructions in the INSTALL file?


> If you update the kernel, are you supposed to use the latest alsa-lib as well? 

No; the kernel and lib versions are more or less independent.


More information about the Alsa-devel mailing list